"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const graphql_codegen_visitor_plugin_common_1 = require("graphql-codegen-visitor-plugin-common");
const ts_selection_set_to_object_1 = require("./ts-selection-set-to-object");
const graphql_codegen_typescript_1 = require("graphql-codegen-typescript");
class TypeScriptDocumentsVisitor extends graphql_codegen_visitor_plugin_common_1.BaseDocumentsVisitor {
    constructor(schema, config) {
        super(config, {
            avoidOptionals: config.avoidOptionals || false,
            immutableTypes: config.immutableTypes || false
        }, schema);
        this.setSelectionSetHandler(new ts_selection_set_to_object_1.TypeScriptSelectionSetToObject(this.scalars, this.schema, this.convertName, this.config.addTypename, this.config.immutableTypes));
        this.setVariablesTransformer(new graphql_codegen_typescript_1.TypeScriptOperationVariablesToObject(this.scalars, this.convertName, this.config.avoidOptionals, this.config.immutableTypes));
    }
}
exports.TypeScriptDocumentsVisitor = TypeScriptDocumentsVisitor;
//# sourceMappingURL=visitor.js.map